org.keycloak.models.map.authSession

## Class AbstractRootAuthenticationSessionEntity<K>

- java.lang.Object
- - org.keycloak.models.map.authSession.AbstractRootAuthenticationSessionEntity<K>

- All Implemented Interfaces:
    AbstractEntity<K>
  Direct Known Subclasses:
    MapRootAuthenticationSessionEntity

      public abstract class AbstractRootAuthenticationSessionEntity<K>
      extends Object
      implements AbstractEntity<K>

  Author:
    Martin Kanis

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `updated` Flag signalizing that any of the setters has been meaningfully used.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractRootAuthenticationSessionEntity()`
    `` | `AbstractRootAuthenticationSessionEntity(K id, String realmId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAuthenticationSession(String tabId, MapAuthenticationSessionEntity entity)`
    `void` | `clearAuthenticationSessions()`
    `Map<String,MapAuthenticationSessionEntity>` | `getAuthenticationSessions()`
    `K` | `getId()`
    `String` | `getRealmId()`
    `int` | `getTimestamp()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `MapAuthenticationSessionEntity` | `removeAuthenticationSession(String tabId)`
    `void` | `setAuthenticationSessions(Map<String,MapAuthenticationSessionEntity> authenticationSessions)`
    `void` | `setRealmId(String realmId)`
    `void` | `setTimestamp(int timestamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### updated

          protected boolean updated

      Flag signalizing that any of the setters has been meaningfully used.

  - ### Constructor Detail

    - #### AbstractRootAuthenticationSessionEntity

          protected AbstractRootAuthenticationSessionEntity()

    - #### AbstractRootAuthenticationSessionEntity

          public AbstractRootAuthenticationSessionEntity(K id,
                                                         String realmId)

  - ### Method Detail

    - #### getId

          public K getId()

      Specified by:
        `getId` in interface `AbstractEntity<K>`

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `AbstractEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `AbstractEntity<K>`
      Returns:

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getTimestamp

          public int getTimestamp()

    - #### setTimestamp

          public void setTimestamp(int timestamp)

    - #### getAuthenticationSessions

          public Map<String,MapAuthenticationSessionEntity> getAuthenticationSessions()

    - #### setAuthenticationSessions

          public void setAuthenticationSessions(Map<String,MapAuthenticationSessionEntity> authenticationSessions)

    - #### removeAuthenticationSession

          public MapAuthenticationSessionEntity removeAuthenticationSession(String tabId)

    - #### addAuthenticationSession

          public void addAuthenticationSession(String tabId,
                                               MapAuthenticationSessionEntity entity)

    - #### clearAuthenticationSessions

          public void clearAuthenticationSessions()

Copyright © 2021 JBoss by Red Hat. All rights reserved.